<ion-header *ngIf="verifyResult.isValid && (!isRealVerify)"
    style="background: #05f url('../../assets/bg-green.png') no-repeat top center / cover;">
    <div class="title">
        Result
    </div>
    <div class="icon">
        <div id="icon" style="border: 2px solid #61B67B;">
            <ion-icon name="checkmark" style="color: #61B67B;"></ion-icon>
        </div>
        <div id="hline"></div>
    </div>
    <div class="title" *ngIf="verifyResult.isValid">
        File successfully audited
    </div>
</ion-header>

<ion-header *ngIf="(!verifyResult.isValid) && (!isRealVerify)"
    style="background: #05f url('../../assets/bg-red.png') no-repeat top center / cover;">
    <div class="title">
        Result
    </div>
    <div class="icon">
        <div id="icon" style="border: 2px solid #CA3334;">
            <ion-icon name="close" style="color:#CA3334;"></ion-icon>
        </div>
        <div id="hline"></div>
    </div>
    <div class="title" *ngIf="!verifyResult.isValid">
        Verification failed!<br> {{(verifyResult.message==1)?'Content has been changed':
                                   (verifyResult.message==2)?'Not signed yet':''}}
    </div>
</ion-header>

<ion-header *ngIf="verifyResult.isValid && isRealVerify"
    style="background: #05f url('../../assets/bg-green.png') no-repeat top center / cover;">
    <div class="title">
        Result
    </div>
    <div class="icon">
        <div id="icon" style="border: 2px solid #61B67B;">
            <ion-icon name="checkmark" style="color: #61B67B;"></ion-icon>
        </div>
        <div id="hline"></div>
    </div>
    <div class="title" *ngIf="verifyResult.isValid">
        File successfully verified
    </div>
</ion-header>

<ion-header *ngIf="(!verifyResult.isValid) && (isRealVerify)"
    style="background: #05f url('../../assets/bg-red.png') no-repeat top center / cover;">
    <div class="title">
        Result
    </div>
    <div class="icon">
        <div id="icon" style="border: 2px solid #CA3334;">
            <ion-icon name="close" style="color:#CA3334;"></ion-icon>
        </div>
        <div id="hline"></div>
    </div>
    <div class="title" *ngIf="!verifyResult.isValid">
        Failed to verify the document
    </div>
</ion-header>

<ion-content>
    <ion-list lines="inset">
        <ion-label class="listHeader"><b>File Infomation</b></ion-label>

        <ion-item>
            <div class="btnRightContainer">
                <div>
                    <ion-grid>
                        <ion-row>
                            <ion-label color="medium">File name</ion-label>
                        </ion-row>
                        <ion-row>
                            <p>{{docResult.name}}</p>
                        </ion-row>
                    </ion-grid>
                </div>
                <div class="btnRight btnView" *ngIf="(verifyResult.message!=2)&&(!isDownloading)"
                    (click)="viewDocument()" tappable>
                    <ion-icon name="eye"></ion-icon>
                </div>
                <div *ngIf="isDownloading" class="loading btnRight">
                    <ion-spinner name="dots" color="primary"></ion-spinner>
                </div>
            </div>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Status</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{status}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">File hash:</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{docResult.fileHash.sha256Hash}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>

    <ion-list lines="inset">
        <ion-label class="listHeader"><b>Signatures</b></ion-label>
        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Owner</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{docResult.owner}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>
        <ion-item *ngIf="docResult.cosigners.length > 0">
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Cosigners</ion-label>
                </ion-row>
                <ion-row>
                    <ion-item *ngFor="let cosignature of docResult.cosignatures">
                        <p>{{cosignature}}</p>
                        <!-- <p>{{cosignature.timestamp}}</p> -->
                    </ion-item>
                    <ion-item *ngIf="(verifyResult.message!=2) && (docResult.cosignatures.length==0)">
                        <p>This file is signed by owner only.</p>
                    </ion-item>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>
    <ion-list lines="inset">
        <ion-label class="listHeader"><b>Sign Infomation</b></ion-label>
        
        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Transaction hash</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{docResult.signTxHash}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

        <ion-item>
            <ion-grid>
                <ion-row>
                    <ion-label color="medium">Document account</ion-label>
                </ion-row>
                <ion-row>
                    <p>{{docResult.documentAccount ? docResult.documentAccount.publicKey : ''}}</p>
                </ion-row>
            </ion-grid>
        </ion-item>

    </ion-list>
    <div id="btnFinish">
        <ion-button (click)="goVerify()">Finish</ion-button>
    </div>
</ion-content>